Main Page | Alphabetical List | Data Structures | File List | Data Fields | Globals

# dmxbackend.h File Reference

Go to the source code of this file.

## Functions
pointer | dmxBackendCreatePrivate (DeviceIntPtr pDevice)
void | dmxBackendDestroyPrivate (pointer private)
void | dmxBackendInit (DevicePtr pDev)
void | dmxBackendLateReInit (DevicePtr pDev)
void | dmxBackendMouGetInfo (DevicePtr pDev, DMXLocalInitInfoPtr info)
void | dmxBackendKbdGetInfo (DevicePtr pDev, DMXLocalInitInfoPtr info)
void | dmxBackendCollectEvents (DevicePtr pDev, dmxMotionProcPtr motion, dmxEnqueueProcPtr enqueue, dmxCheckSpecialProcPtr checkspecial, DMXBlockType block)
void | dmxBackendProcessInput (pointer private)
int | dmxBackendFunctions (pointer private, DMXFunctionType function)
void | dmxBackendUpdatePosition (pointer private, int x, int y)

## Detailed Description

Interface to backend input device support.

See also:
  dmxbackend.c

  dmxcommon.c

## Function Documentation

void dmxBackendCollectEvents | ( | DevicePtr | pDev,
|  | dmxMotionProcPtr | motion,
|  | dmxEnqueueProcPtr | enqueue,
|  | dmxCheckSpecialProcPtr | checkspecial,
|  | DMXBlockType | block
| ) |

| Get events from the X queue on the backend servers and put the events into the DMX event queue.

pointer dmxBackendCreatePrivate | ( | DeviceIntPtr | pDevice | ) |

| Create and return a private data structure.

void dmxBackendDestroyPrivate | ( | pointer | private | ) |

| Destroy the private data structure. No checking is performed to verify that the structure was actually created by dmxBackendCreatePrivate.

int dmxBackendFunctions | ( | pointer | private,
|  | DMXFunctionType | function
| ) |

| Process #DMXFunctionType functions. The only function handled here is to acknowledge a pending server shutdown.

void dmxBackendInit | ( | DevicePtr | pDev | ) |

| Initialized the backend device described by pDev.

void dmxBackendKbdGetInfo | ( | DevicePtr | pDev,
|  | DMXLocalInitInfoPtr | info
| ) |

| Get information about the backend keyboard (for initialization).

void dmxBackendLateReInit | ( | DevicePtr | pDev | ) |

| Re-initialized the backend device described by pDev (after a reconfig).

void dmxBackendMouGetInfo | ( | DevicePtr | pDev,
|  | DMXLocalInitInfoPtr | info
| ) |

| Get information about the backend pointer (for initialization).

void dmxBackendProcessInput | ( | pointer | private | ) |

| Called after input events are processed from the DMX queue. No event processing actually takes place here, but this is a convenient place to update the pointer.

void dmxBackendUpdatePosition | ( | pointer | private,
|  | int | x,
|  | int | y
| ) |

| This routine is called from #dmxCoreMotion for each motion event. #x and #y are global coordinants.